/*
 * ApproximateShapeVolume.hpp
 *
 *  Created on: Jan 30, 2012
 *      Author: heber
 */

#ifndef APPROXIMATESHAPEVOLUME_HPP_
#define APPROXIMATESHAPEVOLUME_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Shapes/Shape.hpp"

/** Functor for the approximate volume of a shape.
 *
 * This class is just an intermediate until we have implemented a better way
 * to calculate the volume within the constructuve solid geometry method.
 */
class ApproximateShapeVolume
{
public:
	ApproximateShapeVolume(const Shape &_shape);
	~ApproximateShapeVolume();

	double operator()() const;

private:
	Shape shape;
};


#endif /* APPROXIMATESHAPEVOLUME_HPP_ */
